import { J as Json, O as ObjectStorage, L as LogHandlerOptions, a as LogHandler, b as LogLevelAliasType, c as LoggerInterface } from './uuid-5f383bd6.js';
export { ei as ArgumentsType, d2 as AsyncMutex, dm as AsyncReturnType, aa as BinInput, B as BinaryEncoder, n as CRYPTO_DEFAULT_ALG, o as CRYPTO_DEFAULT_DERIVE_ALG, p as CRYPTO_DEFAULT_DERIVE_ITERATIONS, C as CRYPTO_DEFAULT_HASH_ALG, dU as Channel, dT as ChannelMessageEvent, e5 as CryptoEncoder, aV as DAY_MS, aQ as Day, aX as DayInput, aP as DayInputLegacy, aW as DayValue, bi as DecimalInput, bh as DecimalValue, d_ as DefaultListener, dx as DefaultLogger, br as Difference, bq as DifferenceType, cW as Disposer, cV as DisposerFunction, d$ as Emitter, dY as EmitterAllHandler, dX as EmitterHandler, e2 as Encoder, bR as FilterFunction, e4 as JsonEncoder, dZ as ListenerSignature, dV as LocalChannel, dy as LogLevel, dG as LogLevelAlias, dH as LogLevelAliasKey, dz as LogLevelAll, dA as LogLevelDebug, dD as LogLevelError, dE as LogLevelFatal, dB as LogLevelInfo, dF as LogLevelOff, dC as LogLevelWarn, dI as LogMessage, dL as LoggerConsoleHandler, dM as LoggerContext, dJ as LoggerContextInterface, dS as LoggerMemoryHandler, bS as MapperFunction, eG as MemStorage, eF as MemStorageOptions, e8 as Message, e6 as MessageAction, ec as MessageDefinitions, ed as MessageHub, e7 as MessageResult, ea as MessagesDefaultMethods, eb as MessagesMethods, e9 as MessagesOptions, d1 as Mutex, eM as NestedArray, e3 as NoopEncoder, d6 as PoolConfig, d9 as PoolTask, da as PoolTaskEvents, d7 as PoolTaskFn, d5 as PoolTaskIdConflictResolution, d8 as PoolTaskState, bv as Primitive, dc as Progress, eg as PubSub, em as RPCFn, el as RPCOptions, ek as RPCOptionsBasic, en as RPCReturn, aG as RenderMessagesOptions, ej as ReturnType, cf as RoundingMode, dq as SerialQueue, cq as SortableItem, dp as TaskEvents, dn as TaskFn, cM as UInt8ArrayToWords, aO as Uint8ArrayToDataUri, aq as Uint8ArrayToHexDump, ap as Uint8ArrayToJson, ae as Uint8ArrayToString, cU as UseDefer, cS as UseDispose, cQ as UseDisposeConfig, eq as UseRPCHubType, cP as XRX, ac as _decodeUtf8Polyfill, ab as _encodeUtf8Polyfill, $ as _useBase, Y as arrayAvg, Z as arrayBatches, M as arrayEmptyInPlace, I as arrayFilterInPlace, D as arrayFlatten, E as arrayIntersection, Q as arrayIsEqual, V as arrayMax, W as arrayMin, z as arrayMinus, U as arrayRandomElement, G as arrayRemoveElement, H as arraySetElement, S as arrayShuffle, T as arrayShuffleForce, R as arrayShuffleInPlace, N as arraySorted, P as arraySortedNumbers, X as arraySum, F as arraySymmetricDifference, K as arrayToggleInPlace, A as arrayUnion, y as arrayUnique, d as assert, e as assertCondition, c2 as avg, c0 as between, k as bitfield, l as blobToArrayBuffer, aN as blobToDataUri, m as blobToUint8Array, dK as browserSelectColorByName, cI as cloneJsonObject, cH as cloneObject, cb as cmp, ca as composeOrderby, _ as createArray, j as createBinaryStreamDecoder, i as createBinaryStreamEncoder, dW as createLocalChannelPair, dd as createPromise, ee as createPromiseProxy, w as csvParse, x as csvParseToObjects, v as csvStringify, aM as dataUriToBlob, aL as dataUriToMimeType, aK as dataUriToUint8Array, aU as dateStringToDays, aT as day, a_ as dayDay, be as dayDiff, b2 as dayFromAny, b4 as dayFromDate, b5 as dayFromDateGMT, b9 as dayFromParts, ba as dayFromString, b7 as dayFromTimestamp, b1 as dayFromToday, bg as dayIterator, aZ as dayMonth, bb as dayMonthStart, bd as dayOffset, bf as dayRange, b0 as dayToDate, b3 as dayToDateGMT, a$ as dayToParts, b8 as dayToString, b6 as dayToTimestamp, aY as dayYear, bc as dayYearStart, ds as debounce, cw as deburr, bj as decimal, bm as decimalCentsPart, bk as decimalFromCents, bl as decimalToCents, a4 as decodeBase16, a2 as decodeBase32, a6 as decodeBase58, a8 as decodeBase62, h as decodeJson, u as decrypt, bn as deepEqual, bp as deepMerge, bo as deepStripUndefinedInPlace, s as deriveKeyPbkdf2, eC as detect, bs as diffObjects, q as digest, eL as duration, cG as empty, a3 as encodeBase16, a1 as encodeBase32, a5 as encodeBase58, a7 as encodeBase62, g as encodeJson, cz as encodeQuery, t as encrypt, cs as endSortWeight, cB as ensureKey, cC as ensureKeyAsync, an as equalBinary, bt as escapeHTML, ce as escapeRegExp, a9 as estimateSizeForBase, f as fatal, et as fetchBasic, eu as fetchJson, ey as fetchOptionsBasicAuth, ew as fetchOptionsFormURLEncoded, ex as fetchOptionsJson, ev as fetchText, cE as first, aJ as fixBrokenUth8String, aR as forEachDay, cL as forTimes, aH as formatMessages, eI as formatMilliseconds, al as fromBase64, am as fromBase64String, au as fromCamelCase, ai as fromHex, eB as getGlobal, dt as getGlobalContext, e0 as getGlobalEmitter, dv as getGlobalLogger, dw as getGlobalLoggerIfExists, dN as getNamespaceFilterString, eA as getNavigator, eK as getPerformanceTimestamp, bX as getSecureRandom, bY as getSecureRandomIfPossible, eH as getTimestamp, ez as getWindow, er as httpMethod, df as immediate, by as isArray, bF as isBoolean, eD as isBrowser, bK as isEmpty, ch as isEven, cg as isHalf, bD as isInteger, du as isLocalHost, bL as isNotEmpty, bJ as isNotNull, bH as isNull, bG as isNullOrUndefined, bC as isNumber, bw as isObject, c4 as isPrime, c3 as isPrimeRX, bx as isPrimitive, dk as isPromise, bz as isRecord, bA as isRecordPlain, bE as isSafeInteger, bB as isString, dh as isTimeout, bN as isTruthy, bI as isUint8Array, bM as isValue, dR as joinLogStrings, ag as joinToUint8Array, bQ as jsonStringify, bP as jsonStringifySafe, bO as jsonStringifySorted, ao as jsonToUint8Array, cF as last, e1 as lazyListener, cx as linkifyPlainText, bV as listDistinctUnion, bU as listGroupBy, bW as listOfKey, bT as listQuery, cJ as memoize, cK as memoizeAsync, ct as moveSortWeight, eN as noop, c8 as objectIsEmpty, c6 as objectMap, c7 as objectMergeDisposable, es as parseBasicAuth, eJ as parseDate, dP as parseLogLevel, c9 as parseOrderby, cA as parseQuery, dl as promisify, f7 as qid, bZ as randomBoolean, b$ as randomFloat, b_ as randomInt, r as randomUint8Array, cO as regExpEscape, cN as regExpString, aI as renderMessages, cj as roundDown, cm as roundHalfAwayFromZero, cn as roundHalfDown, co as roundHalfEven, cl as roundHalfOdd, cp as roundHalfTowardsZero, ck as roundHalfUp, ci as roundUp, c5 as seededRandom, f1 as setUuidDefaultEncoding, cD as size, de as sleep, cu as sortedItems, cc as sortedOrderby, cr as startSortWeight, av as stringToBoolean, ax as stringToFloat, aw as stringToInteger, ad as stringToUInt8Array, eZ as suid, eY as suidBytes, e$ as suidBytesDate, e_ as suidDate, c1 as sum, dr as throttle, dg as timeout, aj as toBase64, ak as toBase64Url, aF as toBool, ar as toCamelCase, as as toCapitalize, at as toCapitalizeWords, aC as toFloat, ah as toHex, cy as toHumanReadableUrl, aD as toInt, aE as toString, af as toUint8Array, cd as toValidFilename, aS as today, di as tryTimeout, f6 as uname, bu as unescapeHTML, d4 as useAsyncMutex, a0 as useBase, cT as useDefer, cR as useDispose, d0 as useDisposeWithUtils, c_ as useEventListener, c$ as useEventListenerOnce, eE as useExitHandler, cY as useInterval, cZ as useIntervalPause, dQ as useLevelFilter, ef as useMessageHub, d3 as useMutex, dO as useNamespaceFilter, db as usePool, eh as usePubSub, eo as useRPC, ep as useRPCHub, cv as useSorted, cX as useTimeout, f2 as uuid, f0 as uuid32bit, eS as uuidB32, eP as uuidB62, eO as uuidBytes, f3 as uuidDecode, eU as uuidDecodeB32, eR as uuidDecodeB62, eX as uuidDecodeV4, f4 as uuidEncode, eT as uuidEncodeB32, eQ as uuidEncodeB62, eW as uuidEncodeV4, f5 as uuidIsValid, eV as uuidv4, ay as valueToBoolean, aA as valueToFloat, az as valueToInteger, aB as valueToString, dj as waitOn } from './uuid-5f383bd6.js';

/** @deprecated use fromBase64 instead */
declare function urlBase64ToUint8Array(base64String: string): Uint8Array | undefined;

declare function gravatarURLByEmail(email: string, defaultURL?: string): string;

interface LocalStorageOptions {
    name: string;
    objectFromString?: (data: string) => any;
    objectToString?: (data: any) => string;
}
declare class LocalStorage<T = Json> implements ObjectStorage<T> {
    private name;
    private prefix;
    private pretty;
    private objectFromString;
    private objectToString;
    constructor(opt: LocalStorageOptions);
    setItem(key: string, value: T): void;
    getItem(key: string): T | undefined;
    removeItem(key: string): void;
    clear(): void;
    allKeys(): string[];
}

declare function LoggerBrowserHandler(opt?: LogHandlerOptions): LogHandler;

/**
 * Directly use console calls, this has the advantage to show the original source of the call
 * i.e. it is possible to jump right into the code from the browser console logs. But other
 * loggers will not work any more.
 */
declare function LoggerBrowserSetupDebugFactory(opt?: LogHandlerOptions): (name?: string, logLevel?: LogLevelAliasType) => LoggerInterface;
/** @deprecated This output is default for initial use of Logger in browser environments. */
declare function activateConsoleDebug(_opt?: LogHandlerOptions): void;

declare function browserSupportsColors(): boolean;

declare function Logger(name?: string, level?: LogLevelAliasType): LoggerInterface;

export { Json, LocalStorage, LocalStorageOptions, LogHandler, LogHandlerOptions, LogLevelAliasType, Logger, LoggerBrowserHandler, LoggerBrowserSetupDebugFactory, LoggerInterface, ObjectStorage, activateConsoleDebug, browserSupportsColors, gravatarURLByEmail, urlBase64ToUint8Array };
